# OPTIMIZE_INPUT

describes an input optimization job, in which parameters in input files get optimized. [Edit on GitHub]

Subsections

- FORCE_MATCHING
- HISTORY
- RESTART
- VARIABLE

## Keywords

- ACCURACY

- ITER_START_VAL

- MAX_FUN

- METHOD

- RANDOMIZE_VARIABLES

- STEP_SIZE

## Keyword descriptions

ACCURACY: real = 1.00000000E-005

  Usage: ACCURACY 0.00001

  Final accuracy requested in optimization (RHOEND) [Edit on GitHub]

ITER_START_VAL: integer = 0

  Usage: ITER_START_VAL 0

  Used for restarting, starting value of the iteration [Edit on GitHub]

MAX_FUN: integer = 5000

  Usage: MAX_FUN 1000

  Maximum number of function evaluations [Edit on GitHub]

METHOD: enum = FORCE_MATCHING

  Usage: METHOD FORCE_MATCHING

  Valid values:

  - `FORCE_MATCHING` Perform a force matching minimization.

  What kind of input optimization to perform. [Edit on GitHub]

RANDOMIZE_VARIABLES: real = 0.00000000E+000

  Usage: RANDOMIZE_VARIABLES 20

  Percentage randomization of the free variables applied initially [Edit on GitHub]

STEP_SIZE: real = 5.00000000E-002

  Usage: STEP_SIZE 0.005

  Initial step size for search algorithm (RHOBEG) [Edit on GitHub]